E-MailRelay

Public Member Functions | List of all members
GSmtp::ProtocolMessageStore Class Reference

A concrete implementation of the ProtocolMessage interface that stores incoming messages in the message store. More...

`#include <gprotocolmessagestore.h>`

Inheritance diagram for GSmtp::ProtocolMessageStore:
[legend]
Collaboration diagram for GSmtp::ProtocolMessageStore:
[legend]

## Public Member Functions
| ProtocolMessageStore (GStore::MessageStore &store, std::unique_ptr< Filter >)
| Constructor. More...
| ~ProtocolMessageStore () override
| Destructor. More...
| ProtocolMessageStore (const ProtocolMessageStore &)=delete
| ProtocolMessageStore (ProtocolMessageStore &&)=delete
ProtocolMessageStore & | operator= (const ProtocolMessageStore &)=delete
ProtocolMessageStore & | operator= (ProtocolMessageStore &&)=delete
Public Member Functions inherited from GSmtp::ProtocolMessage
virtual | ~ProtocolMessage ()=default
| Destructor.
virtual ProcessedSignal & | processedSignal ()=0
| Returns a signal which is raised once process() has completed.
virtual void | reset ()=0
| Clears the message state, terminates any asynchronous message processing and resets the object as if just constructed. More...
virtual void | clear ()=0
| Clears the message state and terminates any asynchronous message processing.
virtual GStore::MessageId | setFrom (const std::string &from_user, const FromInfo &)=0
| Sets the message envelope 'from' address etc. More...
virtual bool | addTo (const ToInfo &to)=0
| Adds an envelope 'to'. More...
virtual void | addReceived (const std::string &)=0
| Adds a 'received' line to the start of the content. More...
virtual GStore::NewMessage::Status | addContent (const char *, std::size_t)=0
| Adds content. More...
void | addContentLine (const std::string &)
| A convenience function that calls addContent() taking a string parameter and adding CR-LF. More...
virtual std::size_t | contentSize () const =0
| Returns the current content size. More...
virtual std::string | from () const =0
| Returns the setFrom() user string.
virtual FromInfo | fromInfo () const =0
| Returns the setFrom() extra info.
virtual std::string | bodyType () const =0
| Returns the setFrom() body type, fromInfo().body.
virtual void | process (const std::string &session_auth_id, const std::string &peer_socket_address, const std::string &peer_certificate)=0
| Starts asynchronous processing of the message. More...

## Additional Inherited Members
Public Types inherited from GSmtp::ProtocolMessage
using | ProcessedSignal = G::Slot::Signal< const ProcessedInfo & >
using | AddressStyle = GStore::MessageStore::AddressStyle

## Detailed Description

A concrete implementation of the ProtocolMessage interface that stores incoming messages in the message store.

See also
  GSmtp::ProtocolMessageForward

Definition at line 43 of file gprotocolmessagestore.h.

## Constructor & Destructor Documentation

## ◆ ProtocolMessageStore()

GSmtp::ProtocolMessageStore::ProtocolMessageStore | ( | GStore::MessageStore & | store,
|  | std::unique_ptr< Filter > | filter
| ) |  |

Constructor.

Definition at line 28 of file gprotocolmessagestore.cpp.

## ◆ ~ProtocolMessageStore()

GSmtp::ProtocolMessageStore::~ProtocolMessageStore | ( |  | ) |
| override

Destructor.

Definition at line 36 of file gprotocolmessagestore.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gprotocolmessagestore.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gprotocolmessagestore.cpp